org.baraza.xml

## Class BXMLTable

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - org.baraza.xml.BXMLTable

- All Implemented Interfaces:
    Serializable, TableModel

      public class BXMLTable
      extends AbstractTableModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BXMLTable(BTreeNode node, DefaultTreeModel treemodel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class` | `getColumnClass(int aCol)`
    `int` | `getColumnCount()`
    `String` | `getColumnName(int aCol)`
    `int` | `getRowCount()`
    `Object` | `getValueAt(int aRow, int aCol)`
    `void` | `insertRow()`
    `boolean` | `isCellEditable(int aRow, int aCol)`
    `void` | `refresh()`
    `void` | `removeRow(int aRow)`
    `void` | `setValueAt(Object value, int aRow, int aCol)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BXMLTable

          public BXMLTable(BTreeNode node,
                   DefaultTreeModel treemodel)

  - ### Method Detail

    - #### getColumnCount

          public int getColumnCount()

    - #### getRowCount

          public int getRowCount()

    - #### getColumnName

          public String getColumnName(int aCol)

      Specified by:
        `getColumnName` in interface `TableModel`
      Overrides:
        `getColumnName` in class `AbstractTableModel`

    - #### getValueAt

          public Object getValueAt(int aRow,
                          int aCol)

    - #### getColumnClass

          public Class getColumnClass(int aCol)

      Specified by:
        `getColumnClass` in interface `TableModel`
      Overrides:
        `getColumnClass` in class `AbstractTableModel`

    - #### isCellEditable

          public boolean isCellEditable(int aRow,
                               int aCol)

      Specified by:
        `isCellEditable` in interface `TableModel`
      Overrides:
        `isCellEditable` in class `AbstractTableModel`

    - #### refresh

          public void refresh()

    - #### insertRow

          public void insertRow()

    - #### removeRow

          public void removeRow(int aRow)

    - #### setValueAt

          public void setValueAt(Object value,
                        int aRow,
                        int aCol)

      Specified by:
        `setValueAt` in interface `TableModel`
      Overrides:
        `setValueAt` in class `AbstractTableModel`

Copyright © 2016 openBaraza. All Rights Reserved.